import { firebaseApp } from "./firebase";
import {
  getMessaging,
  onMessage,
  onBackgroundMessage,
} from "firebase/messaging";

const messaging = getMessaging(firebaseApp);

onMessage(messaging, (payload) => {
  console.log("Message received. ", payload);
});

onBackgroundMessage(messaging, (payload) => {
  console.log(
    "[firebase-messaging-sw.js] Received background message ",
    payload
  );
  const notificationTitle = "Background Message Title";
  const notificationOptions = {
    body: "Background Message body.",
    icon: "/firebase-logo.png",
  };

  self.registration.showNotification(notificationTitle, notificationOptions);
});
